#ifndef __BOILERPLATE_PREFERENCES_H__
#define __BOILERPLATE_PREFERENCES_H__

#include <gtk/gtk.h>
#include "boilerplate-window.h"

G_BEGIN_DECLS

typedef struct _BoilerplatePreferencesPrivate BoilerplatePreferencesPrivate;

#define BOILERPLATE_PREFERENCES_TYPE (boilerplate_preferences_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplatePreferences, boilerplate_preferences, BOILERPLATE, PREFERENCES, GtkDialog)

struct _BoilerplatePreferences
{
    GtkDialog parent;
};

BoilerplatePreferences *boilerplate_preferences_new (BoilerplateWindow *);

static void boilerplate_preferences_init (BoilerplatePreferences *);
static void boilerplate_preferences_dispose (GObject *);
static void boilerplate_preferences_class_init (BoilerplatePreferencesClass *);

G_END_DECLS

#endif /* __BOILERPLATE_PREFERENCES_H__ */